<?xml version="1.0"?>
<info xmlns:xsi= "http://www.w3.org/2001/XMLSchema-instance"
      xsi:noNamespaceSchemaLocation="https://apps.nextcloud.com/schema/apps/info.xsd">
    <id>sms_relentless</id>
    <name>SMS Relentless</name>
    <summary>Send and receive SMS in Nextcloud</summary>
    <description><![CDATA[
This application allows sending and receiving SMS messages in Nextcloud. An SMS enabled phone number acquired from 
Telnyx or Plivo or Twilio or Flowroute is needed. The 'libcurl' PHP library has to be present on the server. Detailed and complete 
instructions on how to use this application can be found on the 'Admin documentation' page.

### Features:

* 🚀 Use one or multiple local phone numbers in countries of your choice, to send and receive SMS messages with your browser, on any device connected to the Internet.

* 📑 Sent and received SMS messages are stored in the database per sending/receiving user and can be viewed in paginated tables with filters for every column.

* 📔 SMS messages older than a specified number of days can be deleted in bulk with one click and they are automatically archived in csv files stored in Nextcloud, before being removed from the database. This makes them available for future analysis.

* 💻 Sending SMS messages to thousands of recipients is easy: a txt/csv file containing the recipients' phone numbers is uploaded and the SMS is sent automatically to all. The time interval between two consecutive messages is configurable.

* 🔏 SMS messages coming from Telnyx/Plivo/Twilio are checked for authenticity by verifying the SMS provider's signature.

* 📧 Users receive notifications in Nextcloud and (optionally) emails when new SMS messages arrive.

* 📄 Each sent message receives a delivery receipt displayed in the Sent SMS Messages table.

* 📱 It works with regular 'long code' (10-digit) phone numbers, but also with 'toll-free' numbers and 'short codes'. Users see a list with their current phone numbers and can set them as Sender IDs. Setting alphanumeric Sender IDs is also possible. 

* 💵 It allows checking the current Telnyx/Plivo/Twilio balance by selecting the provider on the left panel.

* 💰 The only ongoing cost is about $1 per month (depending on the country) for an SMS enabled phone number located in a country chosen by the user. No contracts.

* 💸 Very low prices per SMS: starting from $0.0040 per sent message and $0.0040 per received message (Telnyx), or $0.0050 per sent message and $0 per received message (Plivo), or $0.0079 per sent message and 0.0075 per received message (Twilio), or $0.0040 per sent message and 0.0040 per received message (Flowroute) in the USA.

We have no affiliation with Telnyx, Plivo, Twilio or Flowroute.

### Documentation

* [Admin documentation](https://www.doublebastion.com/install-nextcloud/#install-sms-relentless)

### Donations

* [Donations are welcome](https://www.doublebastion.com/donations/)

    ]]></description>
    <version>1.0.8</version>
    <licence>AGPL</licence>
    <author mail="contact@doublebastion.com">Double Bastion LLC</author>
    <namespace>SMSRelentless</namespace>
	<documentation>
		<admin>https://www.doublebastion.com/install-nextcloud/#install-sms-relentless</admin>
	</documentation>
    <category>office</category>
    <category>organization</category>

    <website>https://www.doublebastion.com/sms-relentless/</website>
    <bugs>https://git.doublebastion.com/sms-relentless/issues/develop</bugs>
    <repository>https://git.doublebastion.com/sms-relentless/develop/</repository>

    <screenshot>https://git.doublebastion.com/sms-relentless/raw/develop/img/sms_relentless_screenshot.png</screenshot>

    <dependencies>
            <nextcloud min-version="23" max-version="24" />
    </dependencies>

    <navigations>
        <navigation>
            <name>SMS Relentless</name>
            <route>sms_relentless.page.index</route>
            <order>102</order>
            <icon>../img/sms_relentless.svg</icon>
        </navigation>
    </navigations>

    <settings>
            <personal>OCA\SMSRelentless\Settings\Personal</personal>
            <personal-section>OCA\SMSRelentless\Settings\PersonalSection</personal-section>
    </settings>
</info>
